
// ---------------------------------------------------------------------------------------------------------------------
// Web Service credentials
//
// Credentials for accessing the XM_CTM_xxx Web service will be stored in 
// a separate password file created using iapassword.bat
// ---------------------------------------------------------------------------------------------------------------------

var REMEDY_WS_USERNAME = "xmatters";
var REMEDY_WS_PASSWORD_FILE = "conf/xm_chg_ws.pwd";
var REMEDY_WS_PASSWORD = getPassword(REMEDY_WS_PASSWORD_FILE);
//var REMEDY_WS_PASSWORD = "";

var PROTOCOL = "http";
var MID_TIER_HOSTNAME = "localhost";
var MID_TIER_PORT = "8080";
var REMEDY_SERVER_NAME = "ARServer";

var XM_CHG_INFRASTRUCTURE_CHANGE_WS_URL = PROTOCOL + "://" + MID_TIER_HOSTNAME + ":" + MID_TIER_PORT + "/arsys/services/ARService?server=" + REMEDY_SERVER_NAME + "&webService=XM_CHG_InfrastructureChange_WS";
var XM_CHG_CHANGE_INTERFACE_WS_URL = PROTOCOL + "://" + MID_TIER_HOSTNAME + ":" + MID_TIER_PORT + "/arsys/services/ARService?server=" + REMEDY_SERVER_NAME + "&webService=XM_CHG_ChangeInterface_WS";
var XM_CHG_CHANGE_AP_DETAIL_SIGNATURE_WS_URL = PROTOCOL + "://" + MID_TIER_HOSTNAME + ":" + MID_TIER_PORT + "/arsys/services/ARService?server=" + REMEDY_SERVER_NAME + "&webService=XM_CHG_ChangeAPDetailSignature_WS";

var XM_CHG_CHANGE_AP_DETAIL_SIGNATURE_WS_GET_APPROVAL_BY_ID_QUALIFICATION = "\'Request ID\' = \"${REQUEST_ID}\" AND \'Approval Status2\' != \"Approved\"";

// =====================================================================================================================
// Integration configuration
// =====================================================================================================================
// If false, the response handler will suppress callout annotations from xMatters
var ANNOTATE_DELIVERY = true;
var notePrefix = "[xMatters] - ";
var DELETE_EXISTING_EVENTS = true;

var DEDUPLICATOR_FILTER = "bmcremedychange";

var WORK_INFO_TYPE = "Working Log";
var WORK_INFO_VIEW_ACCESS = "Internal";
var WORK_INFO_LOCKED = "Yes";
var WORK_INFO_SUMMARY_FIELD_LENGTH = 100;

// =====================================================================================================================
// Global variables
// =====================================================================================================================

/**
 * A global logger for any js files that aren't class definitions using WSUtil as a super-class
 */
var log = new Logger("BMC Remedy Change: ");

var REQUEST_ACTION_DELETE = "delete";

var REQUEST_TYPE_CHANGE = "change";
var REQUEST_TYPE_APPROVAL = "approval";

var CHANGE_ACTION_MODIFY = "MODIFY";

var RESPONSE_ACTION_APPROVED = "APPROVED";
var RESPONSE_ACTION_REJECTED = "REJECTED";
var RESPONSE_ACTION_HOLD = "HOLD";
var RESPONSE_ACTION_ANNOTATE = "ANNOTATE"





